//+------------------------------------------------------------------+ 
//| TTFSignalX.mq4 | 
//| Copyright  2005, MetaQuotes Software Corp. | 
//| http://www.metaquotes.net | 
//+------------------------------------------------------------------+ 
#property copyright "Copyright  2005, MetaQuotes Software Corp." 
#property link "http://www.metaquotes.net" 
//---- input parameters 
extern int TTFbars=12; 
extern int t3_period=6; 
extern double b=1.618; 
extern int mode_0Sep_1Main=0; 
extern int barBegin=0; 
extern int show_Info=0; 
//---- buffers 
int i = 0 ; 
int b4plusdi=0; 
int nowplusdi=0; 
int b4minusdi=0; 
int nowminusdi=0; 
//+------------------------------------------------------------------+ 
//| Custom indicator initialization function | 
//+------------------------------------------------------------------+ 
int init() 
{ 
string short_name; 
//---- indicator lines 
SetLoopCount(0); 
//---- %K line 
i = Bars - TTFbars Downto 0 { 
b4plusdi = iCustom("TrendTriggerFactor",TTFbars,t3_period,b,mode_0Sep_1Main,barBegin,show_Info,MODE_FIRST,i + 2); 
nowplusdi = iCustom("TrendTriggerFactor",TTFbars,t3_period,b,mode_0Sep_1Main,barBegin,show_Info,MODE_FIRST,i + 1); 
b4minusdi = iCustom("TrendTriggerFactor",TTFbars,t3_period,b,mode_0Sep_1Main,barBegin,show_Info,MODE_SECOND,i + 2); 
nowminusdi = iCustom("TrendTriggerFactor",TTFbars,t3_period,b,mode_0Sep_1Main,barBegin,show_Info,MODE_SECOND,i + 1); 

if (b4plusdi < 100.0000 && nowplusdi > 100.0000) 
{ 
SetIndexValue(i,Low[i] - 15 * Point); 
}; 

if (b4plusdi > -100.0000 && nowplusdi < -100.0000) 
{ 
SetIndexValue2(i,High[i] + 15 * Point); 
}; 

}; 
//+------------------------------------------------------------------+